Expo Project Fails to Open on Android Emulator

#1

SDK Version: 30.0.0
Dev Environment OS: MacOS High Sierra version 10.13.6
Android Emulator Setup: I’ve followed the Expo documentation to set up Android Studio. I can successfully run adb from the command line. I’ve set up a Google Pixel as my Android Emulator.

Expected Behavior:
Running expo start and launching the project in the Android Emulator should successfully start the app.

Actual Behavior:
I get the error ‘The Expo SDK requires Expo to run. It appears the native Expo modules are unavailable and this code is not running on Expo. Visit https://docs.expo.io to learn more about developing an Expo project.’

This error started happening after a number of successful uses of the Android Emulator. I got Android Studio set up, created a virtual device, and used it for testing for a number of hours before getting this error. I haven’t been able to figure out what I did to create the error. Does anyone have any insight?

#2

Saw the tip on another thread to upgrade my version of expo-cli. Running npm install -g expo-cli@2.2.4 and relaunching on Android Emulator solved the problem.

1 Like
closed #3

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.